/*
 * Copyright (c) eHealth
 */
package be.fgov.ehealth.technicalconnector.jca;

import org.junit.Assert;
import org.junit.Test;

import be.ehealth.technicalconnector.service.sts.security.impl.BeIDCredential;
import be.ehealth.technicalconnector.session.Session;
import be.fgov.ehealth.technicalconnector.distributedkeys.DistributedKeyStoreRegistry;
import be.fgov.ehealth.technicalconnector.distributedkeys.proxy.CredentialProxy;


/**
 * TODO: Description of the class.
 * 
 * @author eh053
 * 
 * @since
 * 
 */
public class DistributedKeyStoreRegistryTest {

    @Test
    public void getKeyStore() throws Exception {
        DistributedKeyStoreRegistry registry = DistributedKeyStoreRegistry.getInstance();
        registry.createDistributedKeyStore(Session.IDENTIFICATION_KEYSTORE, new CredentialProxy(BeIDCredential.getInstance("", BeIDCredential.EID_AUTH_ALIAS)));
        Assert.assertFalse(registry.getDistributedKeyStores()
                                   .isEmpty());
    }

}
